Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## nl.liacs.subdisc.cui
Enum Gene2CuiMap

    java.lang.Object
      java.lang.Enum<Gene2CuiMap>
          nl.liacs.subdisc.cui.Gene2CuiMap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Gene2CuiMap>, CuiMapInterface

    public enum Gene2CuiMap

extends java.lang.Enum<Gene2CuiMap>
implements CuiMapInterface

Enum Constant Summary
`ENTREZ2CUI`
`GO2CUI`

Field Summary

Fields inherited from interface nl.liacs.subdisc.cui.CuiMapInterface
`CUI_DIR, CUI2NAME, DOMAIN_FILE_PREFIX, ENTREZ2CUI, GENE_IDENTIFIER_CUIS, GO2CUI, NR_CUI, NR_DOMAINS, NR_ENTREZ_CUI, NR_EXPRESSION_CUI, NR_GO_CUI`

Method Summary
`java.util.Map<java.lang.String,java.lang.String>` | `getMap()` Returns the `Map` for this Gene2CuiMap.
`static Gene2CuiMap` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Gene2CuiMap[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ENTREZ2CUI

    public static final Gene2CuiMap ENTREZ2CUI

### GO2CUI

    public static final Gene2CuiMap GO2CUI

Method Detail

### values

    public static Gene2CuiMap[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Gene2CuiMap c : Gene2CuiMap.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Gene2CuiMap valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getMap

    public java.util.Map<java.lang.String,java.lang.String> getMap()

  Returns the `Map` for this Gene2CuiMap.

  Specified by:
    `getMap` in interface `CuiMapInterface`
  Returns:
    the `Map` for this Gene2CuiMap, or `null` if there is none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD